import { getMessageErrorNumber, getMessageErrorPositive } from './helpers.js';

var isValidTotalPages = function isValidTotalPages(props, propName, componentName) {
  var totalPages = props[propName];
  if (totalPages === undefined) return null;
  if (typeof totalPages !== 'number') return new Error(getMessageErrorNumber({
    propName: propName,
    componentName: componentName
  }));
  if (totalPages <= 0) return new Error(getMessageErrorPositive({
    propName: propName,
    componentName: componentName
  })); // assume all ok

  return null;
};

export default isValidTotalPages;